Subject: re: Problems with LIST in Windows port?

From: Tony Robinson <[email-masked]>
Date: Thu, 19 Mar 98 16:00:13 -0800

Sorry, didn't mean to throw around bad words like "broken" so freely.  I 
was indeed missing something which you pointed out - I messed up the 
build system and wasn't getting the dummy driver included in the list.  

As for being vague on the "Windows" front - I'm actually doing some 
investigation on a concept that can best be described as a "personal" 
server and I am indeed running imapd under Win '95.  Just playing around 
at this point however :)

Thanks again,
Tony R.

>What do you mean by "broken"?  Are you not getting any results back?  Are you
>getting crashes?  Are you getting strange results?  Or???
>
>Please be specific; "broken" does not convey information.  Bugs happen from
>time to time, but they get fixed when I find out about them.  If there's a 
>bug
>in the current version on ftp://ftp.cac.washington.edu/mail/imap.tar.Z then
>it's a good bet that I don't know about the problem, and I need as much
>information as possible from you.
>
>Also, what do you mean "imapd under Windows"?  imapd does not run under
>Windows 3.x or Windows 95.  imapd is a server, and requires concepts such as
>"login account validation" and "file protection" from the underlying system.
>
>imapd runs under Windows NT, and LIST works on NT.  The default namespace is
>the user's home directory.  Here's a typescript of a LIST command from imapd
>on my NT system:
>
>A01 LIST "" %
>* LIST (\NoInferiors) "\\" default.tcl
>* LIST (\NoInferiors) "\\" environ.ksh
>* LIST (\NoSelect) "\\" folders
>* LIST (\NoSelect) "\\" imap-4.1
>* LIST (\NoSelect) "\\" inetlisn
>* LIST (\NoInferiors) "\\" MRC-places.MN3
>* LIST (\NoInferiors) "\\" MRC-places.SA4
>* LIST (\NoInferiors) "\\" MRC-places.sa5
>* LIST (\NoInferiors) "\\" mtest.errs
>* LIST (\NoInferiors) "\\" points.txt
>* LIST (\NoInferiors) "\\" profile.ksh
>* LIST (\NoInferiors) "\\" rpoints.txt
>* LIST (\NoInferiors) "\\" rslicens.txt
>* LIST (\NoInferiors) "\\" sh_histo
>* LIST (\NoInferiors) "\\" spawn.bat
>* LIST (\NoInferiors) "\\" VCVARS32.BAT
>* LIST (\NoInferiors) "\\" w467xxzz.mn3
>* LIST (\NoInferiors) "\\" wcesh.bat
>* LIST (\NoSelect) "\\" WinCE
>* LIST (\NoInferiors) NIL INBOX
>A01 OK LIST completed
>
>Yes, if the stream is NIL then mbx_list() etc. will return without doing
>anything.  But the code will presently get to dummy_list() which will do
>something.  That's why dummy is in the list of drivers.